# Package org.codehaus.groovy.grails.orm.support

##

- Interface Summary
  Interface | Description
  --- | ---
  TransactionManagerAware | @author Graeme Rocher

- Class Summary
  Class | Description
  --- | ---
  GrailsTransactionTemplate | Template class that simplifies programmatic transaction demarcation and transaction exception handling.
  GrailsTransactionTemplate.ThrowableHolder | Internal holder class for a Throwable, used as a return value from a TransactionCallback (to be subsequently unwrapped again).
  GroovyAwareNamedTransactionAttributeSource | @author Graeme Rocher
  TransactionManagerPostProcessor | Injects the platform transaction manager into beans that implement TransactionManagerAware.

- Exception Summary
  Exception | Description
  --- | ---
  GrailsTransactionTemplate.ThrowableHolderException | Internal holder class for a Throwable, used as a RuntimeException to be thrown from a TransactionCallback (and subsequently unwrapped again).